apiVersion: apps/v1
kind: Deployment
metadata:
  name: yc-skillbox-pig
spec:
  replicas: 1
  selector:
    matchLabels:
      app: yc-skillbox-pig
  template:
    metadata:
      labels:
        app: yc-skillbox-pig
    spec:
      nodeSelector:
        "beta.kubernetes.io/os": linux
      containers:
      - name: yc-skillbox-pig
        image: registry.gitlab.com/belokonev.al.se/testprojekt:6081d7c8
        resources:
          requests:
            cpu: 100m
            memory: 128Mi
          limits:
            cpu: 250m
            memory: 256Mi
        ports:
        - containerPort: 8000
        env:
        - name: REDIS
          value: "yc-skillbox-pig"
